<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: functions Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacefunctions.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">functions Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afea643718472b07f3fc3e34ffeaa31b2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#afea643718472b07f3fc3e34ffeaa31b2">SpaceString</a> (selector)</td></tr>
<tr class="separator:afea643718472b07f3fc3e34ffeaa31b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c95677a87cbd79997ae90c642481e6f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a4c95677a87cbd79997ae90c642481e6f">G2FromSS</a> (SingleShots, NShots, Npoints)</td></tr>
<tr class="separator:a4c95677a87cbd79997ae90c642481e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf197d58ee420823356f87ee129602c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#aabf197d58ee420823356f87ee129602c">Rho2FromSS</a> (SingleShots, NShots, Npoints)</td></tr>
<tr class="separator:aabf197d58ee420823356f87ee129602c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25b1c46bb85026d6872f6baa1b0cb39d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a25b1c46bb85026d6872f6baa1b0cb39d">RhoFromSS</a> (SingleShots, NShots, Npoints)</td></tr>
<tr class="separator:a25b1c46bb85026d6872f6baa1b0cb39d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac05d55b17715bb2aa44d6a5e9cf2b653"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#ac05d55b17715bb2aa44d6a5e9cf2b653">replaceAll</a> (file, searchExp, replaceExp)</td></tr>
<tr class="separator:ac05d55b17715bb2aa44d6a5e9cf2b653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d6a8fb04ab55a57fa14d11cd1b06a5f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a8d6a8fb04ab55a57fa14d11cd1b06a5f">RunThis</a> (command)</td></tr>
<tr class="separator:a8d6a8fb04ab55a57fa14d11cd1b06a5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7a68c2825b4e9d0d711bb0f719994ee"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#ae7a68c2825b4e9d0d711bb0f719994ee">randomize</a> (a, b)</td></tr>
<tr class="separator:ae7a68c2825b4e9d0d711bb0f719994ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c73a4a300ca2304eb2541a49bb164af"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a3c73a4a300ca2304eb2541a49bb164af">normalizer</a> (array)</td></tr>
<tr class="separator:a3c73a4a300ca2304eb2541a49bb164af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7bdc1fbb7831d7783a0821d6fc1594"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacefunctions.html#a4d7bdc1fbb7831d7783a0821d6fc1594">histogrammer</a> (data, LowerBound=-np.pi, UpperBound=np.pi, Bins=100)</td></tr>
<tr class="separator:a4d7bdc1fbb7831d7783a0821d6fc1594"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a4c95677a87cbd79997ae90c642481e6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c95677a87cbd79997ae90c642481e6f">&#9670;&nbsp;</a></span>G2FromSS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.G2FromSS </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>SingleShots</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>NShots</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>Npoints</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">routine that computes the two-body correlation function from a set of single shots </pre> 
</div>
</div>
<a id="a4d7bdc1fbb7831d7783a0821d6fc1594"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d7bdc1fbb7831d7783a0821d6fc1594">&#9670;&nbsp;</a></span>histogrammer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.histogrammer </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>LowerBound</em> = <code>-np.pi</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>UpperBound</em> = <code>np.pi</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>Bins</em> = <code>100</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">create a histogram with a certain number of bins </pre> 
</div>
</div>
<a id="a3c73a4a300ca2304eb2541a49bb164af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c73a4a300ca2304eb2541a49bb164af">&#9670;&nbsp;</a></span>normalizer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.normalizer </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>array</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">normalize an array </pre> <div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacefunctions_a3c73a4a300ca2304eb2541a49bb164af_icgraph.png" border="0" usemap="#namespacefunctions_a3c73a4a300ca2304eb2541a49bb164af_icgraph" alt=""/></div>
<map name="namespacefunctions_a3c73a4a300ca2304eb2541a49bb164af_icgraph" id="namespacefunctions_a3c73a4a300ca2304eb2541a49bb164af_icgraph">
<area shape="rect" title=" " alt="" coords="637,14,823,43"/>
<area shape="rect" href="classDataGenerator_1_1DataGenerator.html#aec956ee305acab30abf63e2a445505bd" title=" " alt="" coords="321,5,589,52"/>
<area shape="rect" href="classDataGenerator_1_1DataGenerator.html#adccd9812db98fbc8beaddd4fb8251607" title=" " alt="" coords="5,5,273,52"/>
</map>
</div>

</div>
</div>
<a id="ae7a68c2825b4e9d0d711bb0f719994ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7a68c2825b4e9d0d711bb0f719994ee">&#9670;&nbsp;</a></span>randomize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.randomize </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">shuffle the columns in two list using the same random permutation for both</pre> 
</div>
</div>
<a id="ac05d55b17715bb2aa44d6a5e9cf2b653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac05d55b17715bb2aa44d6a5e9cf2b653">&#9670;&nbsp;</a></span>replaceAll()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.replaceAll </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>searchExp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>replaceExp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">replace 'searchExp' by 'replaceExp' in file 'file' </pre> 
</div>
</div>
<a id="aabf197d58ee420823356f87ee129602c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabf197d58ee420823356f87ee129602c">&#9670;&nbsp;</a></span>Rho2FromSS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.Rho2FromSS </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>SingleShots</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>NShots</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>Npoints</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">routine that computes the two-body density from a set of single shots </pre> 
</div>
</div>
<a id="a25b1c46bb85026d6872f6baa1b0cb39d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25b1c46bb85026d6872f6baa1b0cb39d">&#9670;&nbsp;</a></span>RhoFromSS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.RhoFromSS </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>SingleShots</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>NShots</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>Npoints</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">routine that computes the two-body density from a set of single shots </pre> 
</div>
</div>
<a id="a8d6a8fb04ab55a57fa14d11cd1b06a5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d6a8fb04ab55a57fa14d11cd1b06a5f">&#9670;&nbsp;</a></span>RunThis()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.RunThis </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>command</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">run command 'command' in the shell, store its output in 'output.txt' 
and wait for the command to finish
</pre> 
</div>
</div>
<a id="afea643718472b07f3fc3e34ffeaa31b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afea643718472b07f3fc3e34ffeaa31b2">&#9670;&nbsp;</a></span>SpaceString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def functions.SpaceString </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>selector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">routine for assembling filenames, returns 'X' for 'False' (bool) input and 'K' for 'True' (bool) input </pre> 
</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacefunctions.html">functions</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
